summaryrefslogtreecommitdiff
path: root/debian/kanotix-plasma-script.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/kanotix-plasma-script.postrm')
-rw-r--r--debian/kanotix-plasma-script.postrm13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/kanotix-plasma-script.postrm b/debian/kanotix-plasma-script.postrm
new file mode 100644
index 0000000..15dedd2
--- /dev/null
+++ b/debian/kanotix-plasma-script.postrm
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+
+remove_divert() {
+ diverter=$(dpkg-divert --listpackage $1)
+ if [ "$diverter" = "kanotix-plasma-script" ]; then
+ dpkg-divert --package kanotix-plasma-script --rename --remove $1
+ fi
+}
+
+if [ "$1" = remove ] || [ "$1" = deconfigure ]; then
+ remove_divert /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js
+fi